#ifndef _DYNAMICFILTER_H
#define _DYNAMICFILTER_H

typedef struct dfcmd_info_s {
    const char *info;
    const char *name;
    const char *author;
    const char *comment;
    // Ptr to a struct dscribing the options
    const void *opts;
} dfcmd_info_t;

#define FILTER_CMD_START        0
#define FILTER_CMD_STOP         1
#define FILTER_CMD_TYPE_VIDEO   0
#define FILTER_CMD_TYPE_AUDIO   1

typedef struct filter_cmd_s {
    int    type;
    double pts;
    void   *opts;
    void   *next;
} filter_cmd_t;

filter_cmd_t* get_filter_cmd(int id, int av, const char *filter);
#endif
