#ifndef IMPORT_PARSER_H
#define IMPORT_PARSER_H

#include "libaf/af.h"
#include "m_option.h"

typedef struct id_import_config_s {
    int play_n_frames_mf;
    off_t seek_to_byte;
    double seek_to_sec;
    m_time_size_t end_at;
    float force_fps;
    int force_srate;
    int audio_output_format;
    float playback_speed;
    float audio_delay;
    int ignore_start;

    int audio_id;
    int video_id;
    int dvdsub_id;

    m_obj_settings_t* vf_settings;
    af_cfg_t af_cfg;
} id_import_config_t;

int import_files_count(void);
int import_files_num2id(int num);
void* import_files_id(int id);
void* importdummyfilelist(void);

id_import_config_t* import_config_id(int id);

#endif
