#ifndef _SHMEM_READER_H
#define _SHMEM_READER_H

void* open_audio_shmemreader(int insertid);
void* get_shmemreader_audio_data(void *priv, int samples, double pts);
void drop_shmemreader_audio_data(void *priv, void* filter_input, int len);
void close_audio_shmemreader(void *priv);

void* open_video_shmemreader(int insertid);
void* get_next_shmemreader_frame(void *priv, double pts);
void close_video_shmemreader(void *priv);

#define IMPORT_MODE_OFF         0
#define IMPORT_MODE_ON          1
#define IMPORT_MODE_PAUSE       2
#define IMPORT_MODE_SKIPEOF     3
void set_shmemreader_mode(void *priv, double pts, int mode);

#endif
